{% extends template_base %}
{% load widget_tweaks %}
{% load static %}
{% load i18n %}

{% block title %}Canales{% endblock %}

{% block pagelevelcss %}
  <link href="{% static 'assets/plugins/datatables.net-bs4/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css' %}" rel="stylesheet" />
  <script src="{% static 'assets/plugins/sweetalert/sweetalert.min.js' %}"></script>
{% endblock %}

{% block page %}
  <!-- begin breadcrumb -->
  <ol class="breadcrumb float-xl-right">
    <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
    <li class="breadcrumb-item active">Canales</li>
  </ol>
  <!-- end breadcrumb -->
  <!-- begin page-header -->
  <h1 class="page-header">Canales <small>lista</small></h1>
  <!-- end page-header -->
  <!-- begin row -->
  <div class="row">
    <!-- begin col-6 -->
    <div class="col-xl-12">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="table-basic-1">
        <!-- begin panel-heading -->
        <div class="panel-heading">
          <h4 class="panel-title">Lista de Canales</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <div class="panel-body">
          <div class="row mb-3">
            <div class="col-sm-12 col-md-12">
                <a class="btn btn-success btn-sm pull-right ml-1" href="{% url 'qa-channel-create' %}">Nuevo</a>
            </div>
          </div>

          <table id="qa-channel-list" class="table table-striped table-bordered table-td-valign-middle" style="width:100%">
            <thead>
              <tr>
                <th style="width:10%">ID</th>
                <th style="width:80%">NOMBRE</th>
                <th style="width:10%">ACCIONES</th>
              </tr>
            </thead>
            <tbody>
            </tbody>
          </table>
        </div>
        <!-- end panel-body -->
      </div>
      <!-- end panel -->
    </div>
    <!-- end col-12 -->
  </div>
  <!-- end row -->

  <!-- begin scroll to top btn -->
  <a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
  <!-- end scroll to top btn -->
{% endblock %}

{% block pageleveljs %}
<script type="text/javascript">
    //active menu
    document.getElementById("qa_menu").classList.add("active");
    //active submenu item
    document.getElementById("qachannel_item").classList.add("active");
</script>
  <script src="{% static 'assets/plugins/datatables.net/jquery.dataTables.min.js' %}"></script>
  <script src="{% static 'assets/plugins/datatables.net-bs4/js/dataTables.bootstrap4.min.js' %}"></script>
  <script src="{% static 'assets/plugins/datatables.net-responsive/js/dataTables.responsive.min.js' %}"></script>
  <script src="{% static 'assets/plugins/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js' %}"></script>
  <script src="{% static 'theme/build/js/pages/qa-channel-list.js' %}"></script>
  
{% endblock %}    
